#ifndef ROM_ASSOCIATE_H 
#define ROM_ASSOCIATE_H 

#include "rom_associate_parent2.h"
#include <qptrlist.h>
#include <qstring.h>
#include <qpushbutton.h>

class rom_associate: public rom_associate_parent {

	Q_OBJECT

public:
	rom_associate( QString temppath, QString temp_listing, QString vba_path_temp, QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );

public slots:
	void associate();
	QStringList getAssociations();
	void filter_index();
	void filter_directory();
	void remove_matching_filenames();
	void dl_new_listing();
	void play_rom();
private:
	QStringList associations;
	QString path, listing, vba_path;

signals:
	void rom_renamed();

};


#endif
